import request from '@/utils/request'

// 查询巡检线路明细列表
export function listDmsInspectRouteDetail(query) {
  return request({
    url: '/dms/dmsInspectRouteDetail/list',
    method: 'get',
    params: query
  })
}

// 查询巡检线路明细详细
export function getDmsInspectRouteDetail(routeDetailId) {
  return request({
    url: '/dms/dmsInspectRouteDetail/' + routeDetailId,
    method: 'get'
  })
}

// 新增巡检线路明细
export function addDmsInspectRouteDetail(data) {
  return request({
    url: '/dms/dmsInspectRouteDetail',
    method: 'post',
    data: data
  })
}

// 修改巡检线路明细
export function updateDmsInspectRouteDetail(data) {
  return request({
    url: '/dms/dmsInspectRouteDetail',
    method: 'put',
    data: data
  })
}

// 删除巡检线路明细
export function delDmsInspectRouteDetail(routeDetailId) {
  return request({
    url: '/dms/dmsInspectRouteDetail/' + routeDetailId,
    method: 'delete'
  })
}
//通过线路id查询明细列表
export function selectInspectRouteListByInspectRouteId(inspectRouteId){
  return request({
    url:`/dms/dmsInspectRouteDetail/selectInspectRouteListByInspectRouteId/${inspectRouteId}`,
    method:'get',
  })
}
